import React from "react";
import { Box, Text } from "@fluentui/react-northstar";
import { getText } from "../../translations";
export var DescriptionList = function (_a) {
    var list = _a.list, t = _a.t;
    return (React.createElement(Box, { as: "dl", styles: { margin: 0 } }, list.map(function (_a) {
        var label = _a.label, value = _a.value;
        return (React.createElement(Box, { styles: {
                display: "flex",
                flexFlow: "column nowrap",
                marginBottom: "1.75rem",
            } },
            React.createElement(Text, { as: "dt", styles: { order: 1, fontSize: ".75rem", lineHeight: 4 / 3 } }, getText(t.locale, label)),
            React.createElement(Text, { as: "dd", styles: {
                    order: 0,
                    fontSize: "1.5rem",
                    lineHeight: 4 / 3,
                    marginLeft: 0,
                }, variables: function (_a) {
                    var colorScheme = _a.colorScheme;
                    return ({
                        color: colorScheme.default.foreground1,
                    });
                } }, getText(t.locale, value))));
    })));
};
//# sourceMappingURL=DescriptionList.js.map