"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DescriptionList = void 0;
var react_1 = __importDefault(require("react"));
var react_northstar_1 = require("@fluentui/react-northstar");
var translations_1 = require("../../translations");
var DescriptionList = function (_a) {
    var list = _a.list, t = _a.t;
    return (react_1.default.createElement(react_northstar_1.Box, { as: "dl", styles: { margin: 0 } }, list.map(function (_a) {
        var label = _a.label, value = _a.value;
        return (react_1.default.createElement(react_northstar_1.Box, { styles: {
                display: "flex",
                flexFlow: "column nowrap",
                marginBottom: "1.75rem",
            } },
            react_1.default.createElement(react_northstar_1.Text, { as: "dt", styles: { order: 1, fontSize: ".75rem", lineHeight: 4 / 3 } }, (0, translations_1.getText)(t.locale, label)),
            react_1.default.createElement(react_northstar_1.Text, { as: "dd", styles: {
                    order: 0,
                    fontSize: "1.5rem",
                    lineHeight: 4 / 3,
                    marginLeft: 0,
                }, variables: function (_a) {
                    var colorScheme = _a.colorScheme;
                    return ({
                        color: colorScheme.default.foreground1,
                    });
                } }, (0, translations_1.getText)(t.locale, value))));
    })));
};
exports.DescriptionList = DescriptionList;
//# sourceMappingURL=DescriptionList.js.map