import { AvatarProps } from "@fluentui/react-northstar";
import { IIconProps } from "./Icon";
import { EAvatarVariant } from "../types/types";
export interface IAvatarProps extends Pick<AvatarProps, "image" | "styles" | "variables" | "size" | "getInitials">, Pick<IIconProps, "icon"> {
    name: string;
    variant?: EAvatarVariant;
}
declare const Avatar: ({ name, image, icon, styles, variables, size, variant, }: IAvatarProps) => JSX.Element;
export default Avatar;
//# sourceMappingURL=Avatar.d.ts.map